Package: org.gradle.platform.base

## [Java] Annotation Type LanguageType

- org.gradle.platform.base.LanguageType

- The following example demonstrates how to register a custom language type using a plugin with a LanguageType annotation.

       interface CustomLanguageSourceSet extends LanguageSourceSet {}
       class DefaultCustomLanguageSourceSet extends BaseLanguageSourceSet implements CustomLanguageSourceSet {}

       apply plugin: MySamplePlugin

       class MySamplePlugin extends RuleSource {
           @LanguageType
           void declareCustomLanguage(LanguageTypeBuilder builder) {
               builder.setLanguageName("custom")
               builder.defaultImplementation(DefaultCustomLanguageSourceSet)
           }
       }

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`